{% extends 'base.html.twig' %}

{% block title %}Students in {{group.name}}{% endblock %}

{% block body %}
    <h1 class="my-5 text-center">Class {{group.name}}</h1>

    <div class="row">
        <div class="col-md-10 offset-md-1 col-sm-12">
            <div class="row mx-1 my-3">
                <div class="col-lg-4 col-md-6 m-auto">
                    <div class="search-bar">
                        <input type="text" id="myInput" placeholder="Search a student">
                        <span class="bi bi-search icon-search"></span>
                    </div>
                </div>
            </div>
            <table id="myTable" class="table table-striped">
                <thead class="thead-dark">
                    <tr>
                        <th>First Name<i class="fas fa-sort icon-sort"></i></th>
                        <th>Last Name<i class="fas fa-sort icon-sort"></i></th>
                        <th>Email<i class="fas fa-sort icon-sort"></i></th>
                    </tr>
                </thead>
                <tbody>
                    {% for user in users %}
                        <tr>
                            <td>{{ user.firstName }}</td>
                            <td>{{ user.lastName }}</td>
                            <td>{{ user.email }}</td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="7">No students found</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
